List sweep configs | Moov Documentation
List sweep configs
List sweep configs associated with an account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/sweep-configs
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/sweep-configs" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.ListSweepConfigs(ctx, accountID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.sweeps.listConfigs({
accountID: "ed67e4c8-03d3-4d88-ba38-fcd87de45a92",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->sweeps->listConfigs(
accountID: 'ed67e4c8-03d3-4d88-ba38-fcd87de45a92'
);
if ($response->sweepConfigs !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListSweepConfigsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListSweepConfigsResponse res = sdk.sweeps().listConfigs()
.accountID("ed67e4c8-03d3-4d88-ba38-fcd87de45a92")
.call();
if (res.sweepConfigs().isPresent()) {
System.out.println(res.sweepConfigs().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.sweeps.list_configs(account_id="ed67e4c8-03d3-4d88-ba38-fcd87de45a92")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.sweeps.list_configs(account_id: 'ed67e4c8-03d3-4d88-ba38-fcd87de45a92')
unless res.sweep_configs.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Sweeps.ListConfigsAsync(accountID: "ed67e4c8-03d3-4d88-ba38-fcd87de45a92");
// handle response
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
An array of fields that are locked. To request updates, please contact Moov support.
An optional field to specify an amount to maintain in the wallet. This is a decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99. If not supplied, the default is 0.00.
The payment method used to push or pull funds to a bank account. The push payment method can only be ach-credit-standard, ach-credit-same-day, or rtp-credit. The pull payment method can only be ach-debit-fund.
Show child attributes
ID of the payment method.
Show child attributes
ID of the payment method.
The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.
Possible values:
enabled,
disabled.